"""
Config module contains main cli args parser for migrations
"""

import os
from argparse import ArgumentParser, Namespace
from pathlib import Path


def getCmdOptions() -> Namespace:
    """
    Collects passed arguments
        --config - path to config file

    Returns:
        object with arguments and its values
    """
    parser = ArgumentParser(description="Configs migration", add_help=False)
    defaultConfigFilePath = os.path.join(os.path.abspath(os.path.dirname(__file__)), "config.conf")
    parser.add_argument("--config", default=defaultConfigFilePath, type=str, help="path to config")

    cmdArgs, _ = parser.parse_known_args()

    return cmdArgs


_ARGS = getCmdOptions()

MIGRATION_DIR = Path(__file__).parent / "migration"
