"""
Configs migration

Generation datetime: 2021-12-01 11:23:45.512128
"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper, LimitationToModify

mh: DatabaseMigrationHelper

REVISION = "33215e1c"
DOWN_REVISION = "b6da13a3"


limitationsToModify: List[LimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to remove
    mh.removeLimitation(limitationName="CLUSTERING_MATCH_LIMIT")

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to add
    mh.addLimitation(
        limitationName="CLUSTERING_MATCH_LIMIT",
        validationSchema={"type": "integer"},
        defaultValue=5,
        description="Candidates count limit in match response",
        services=["luna-tasks"],
        groupNames=["luna-platform"],
    )
